Name:          gnome-backgrounds
Version:       42.0
Release:       1
Summary:       GNOME desktop comes with a desktop background
License:       CC-BY-SA
URL:           https://gitlab.gnome.org/GNOME/gnome-backgrounds
Source0:       https://download.gnome.org/sources/%{name}/42/%{name}-%{version}.tar.xz

BuildArch:     noarch
BuildRequires: gettext meson python3-colorama
Obsoletes:     gnome-backgrounds < %{version}

%description
The gnome-backgrounds package contains the default desktop background,called the GNOME desktop
version of the Adwaita background.

%package       extras
Summary:       Other GNOME backgrounds
Obsoletes:     gnome-backgrounds < %{version}

%description   extras
The package includes other desktop background with the GNOME desktop packaged together.

%prep
%autosetup -n %{name}-%{version}

%build
%meson
%meson_build

%install
%meson_install
install -d %{buildroot}%{_datadir}/backgrounds/images
rm -rf $RPM_BUILD_ROOT%{_datadir}/locale

%files
%license COPYING
%doc AUTHORS NEWS README.md
%{_datadir}/gnome-background-properties/adwaita.xml
%{_datadir}/gnome-background-properties/blobs.xml
%{_datadir}/gnome-background-properties/brush-strokes.xml
%{_datadir}/gnome-background-properties/drool.xml
%{_datadir}/gnome-background-properties/libadwaita.xml
%{_datadir}/gnome-background-properties/truchet.xml
%{_datadir}/backgrounds/gnome/adwaita-d.jpg
%{_datadir}/backgrounds/gnome/adwaita-l.jpg
%{_datadir}/backgrounds/gnome/blobs-d.svg
%{_datadir}/backgrounds/gnome/blobs-l.svg
%{_datadir}/backgrounds/gnome/brush-strokes-d.jpg
%{_datadir}/backgrounds/gnome/brush-strokes-l.jpg
%{_datadir}/backgrounds/gnome/drool-d.svg
%{_datadir}/backgrounds/gnome/drool-l.svg
%{_datadir}/backgrounds/gnome/libadwaita-d.jpg
%{_datadir}/backgrounds/gnome/libadwaita-l.jpg
%{_datadir}/backgrounds/gnome/truchet-d.jpg
%{_datadir}/backgrounds/gnome/truchet-l.jpg

%files extras
%{_datadir}/gnome-background-properties/disco.xml
%{_datadir}/gnome-background-properties/pixels.xml
%{_datadir}/gnome-background-properties/symbolics.xml
%{_datadir}/gnome-background-properties/vnc.xml
%{_datadir}/gnome-background-properties/wood.xml
%{_datadir}/backgrounds/gnome/disco-d.jpg
%{_datadir}/backgrounds/gnome/disco-l.jpg
%{_datadir}/backgrounds/gnome/pixels-d.png
%{_datadir}/backgrounds/gnome/pixels-l.png
%{_datadir}/backgrounds/gnome/symbolics-d.png
%{_datadir}/backgrounds/gnome/symbolics-l.png
%{_datadir}/backgrounds/gnome/vnc-d.png
%{_datadir}/backgrounds/gnome/vnc-l.png
%{_datadir}/backgrounds/gnome/wood-d.jpg
%{_datadir}/backgrounds/gnome/wood-l.jpg

%changelog
* Mon Mar 28 2022 lin zhang <lin.zhang@turbolinux.com.cn> - 42.0-1
- Upgrade to 42.0

* Mon May 24 2021 weijin deng <weijin.deng@turbolinux.com.cn> - 3.38.0-1
- Upgrade to 3.38.0
- Update Version, Release, Source0, autosetup, stage %files

* Sun Jan 19 2020 daiqianwen <daiqianwen@huawei.com> - 3.30.0-3
- Type:bugfix
- ID:NA
- SUG:NA
- DESC: modify spec

* Tue Dec 10 2019 fengbing <fengbing7@huawei.com> - 3.30.0-2
- Package init
